diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/flame/flame-regression.h ns-3.44/src/mesh/test/flame/flame-regression.h
--- ns-3.43/src/mesh/test/flame/flame-regression.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/flame/flame-regression.h	2025-03-09 16:55:49.651372200 -0700
@@ -15,15 +15,15 @@
 using namespace ns3;
 
 /**
- * \ingroup mesh-test
- * \defgroup flame-test flame sub-module tests
+ * @ingroup mesh-test
+ * @defgroup flame-test flame sub-module tests
  */
 
 /**
- * \ingroup flame-test
+ * @ingroup flame-test
  *
- * \brief FLAME protocol regression test of three stations:
- * \verbatim
+ * @brief FLAME protocol regression test of three stations:
+ * @verbatim
  * <-----------|----------->   Broadcast frame
  *             |----------->|  Unicast frame
  *           Source                   Destination
@@ -47,7 +47,7 @@
  *             |............|............|
  *             After five seconds data is transmitted again as
  *             broadcast, and PATH_UPDATE is sent
- * \endverbatim
+ * @endverbatim
  */
 class FlameRegressionTest : public TestCase
 {
@@ -60,7 +60,7 @@
     void CheckResults();
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
     /// Simulation time
     Time m_time;
@@ -84,25 +84,25 @@
 
     /**
      * Send data
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendData(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadClient(Ptr<Socket> socket);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/flame/flame-test-suite.cc ns-3.44/src/mesh/test/flame/flame-test-suite.cc
--- ns-3.43/src/mesh/test/flame/flame-test-suite.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/flame/flame-test-suite.cc	2025-03-09 16:55:49.651372200 -0700
@@ -16,9 +16,9 @@
 using namespace flame;
 
 /**
- * \ingroup flame-test
+ * @ingroup flame-test
  *
- * \brief Built-in self test for FlameHeader
+ * @brief Built-in self test for FlameHeader
  */
 struct FlameHeaderTest : public TestCase
 {
@@ -49,9 +49,9 @@
 //-----------------------------------------------------------------------------
 
 /**
- * \ingroup flame-test
+ * @ingroup flame-test
  *
- * \brief Unit test for FlameRtable
+ * @brief Unit test for FlameRtable
  */
 class FlameRtableTest : public TestCase
 {
@@ -129,9 +129,9 @@
 }
 
 /**
- * \ingroup flame-test
+ * @ingroup flame-test
  *
- * \brief Flame Test Suite
+ * @brief Flame Test Suite
  */
 class FlameTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/flame/regression.cc ns-3.44/src/mesh/test/flame/regression.cc
--- ns-3.43/src/mesh/test/flame/regression.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/flame/regression.cc	2025-03-09 16:55:49.651372200 -0700
@@ -13,9 +13,9 @@
 using namespace ns3;
 
 /**
- * \ingroup flame-test
+ * @ingroup flame-test
  *
- * \brief Flame Regression Suite
+ * @brief Flame Regression Suite
  */
 class FlameRegressionSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/mesh-information-element-vector-test-suite.cc ns-3.44/src/mesh/test/mesh-information-element-vector-test-suite.cc
--- ns-3.43/src/mesh/test/mesh-information-element-vector-test-suite.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/mesh-information-element-vector-test-suite.cc	2025-03-09 16:55:49.651372200 -0700
@@ -23,20 +23,23 @@
 using namespace ns3;
 
 /**
- * \ingroup mesh
- * \ingroup tests
- * \defgroup mesh-test mesh module tests
+ * @ingroup mesh
+ * @ingroup tests
+ * @defgroup mesh-test mesh module tests
  */
 
 /**
- * \ingroup mesh-test
+ * @ingroup mesh-test
  *
- * \brief Built-in self test for MeshInformationElementVector and all IE
+ * @brief Built-in self test for MeshInformationElementVector and all IE
  */
 struct MeshInformationElementVectorBist : public TestCase
 {
     MeshInformationElementVectorBist()
-        : TestCase("Serialization test for all mesh information elements"){};
+        : TestCase("Serialization test for all mesh information elements")
+    {
+    }
+
     void DoRun() override;
 };
 
@@ -70,10 +73,10 @@
     }
     {
         Ptr<dot11s::IeBeaconTiming> beaconTiming = Create<dot11s::IeBeaconTiming>();
-        beaconTiming->AddNeighboursTimingElementUnit(1, Seconds(1.0), Seconds(4.0));
-        beaconTiming->AddNeighboursTimingElementUnit(2, Seconds(2.0), Seconds(3.0));
-        beaconTiming->AddNeighboursTimingElementUnit(3, Seconds(3.0), Seconds(2.0));
-        beaconTiming->AddNeighboursTimingElementUnit(4, Seconds(4.0), Seconds(1.0));
+        beaconTiming->AddNeighboursTimingElementUnit(1, Seconds(1), Seconds(4));
+        beaconTiming->AddNeighboursTimingElementUnit(2, Seconds(2), Seconds(3));
+        beaconTiming->AddNeighboursTimingElementUnit(3, Seconds(3), Seconds(2));
+        beaconTiming->AddNeighboursTimingElementUnit(4, Seconds(4), Seconds(1));
         vector.AddInformationElement(beaconTiming);
     }
     {
@@ -140,9 +143,9 @@
 }
 
 /**
- * \ingroup mesh-test
+ * @ingroup mesh-test
  *
- * \brief Mesh Test Suite
+ * @brief Mesh Test Suite
  */
 class MeshTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/examples/bonnmotion-ns2-example.cc ns-3.44/src/mobility/examples/bonnmotion-ns2-example.cc
--- ns-3.43/src/mobility/examples/bonnmotion-ns2-example.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/examples/bonnmotion-ns2-example.cc	2025-03-09 16:55:49.651372200 -0700
@@ -66,9 +66,9 @@
     Ns2MobilityHelper ns2 = Ns2MobilityHelper(traceFile);
     ns2.Install();
 
-    Simulator::Schedule(Seconds(0.0), &showPosition, n0, deltaTime);
+    Simulator::Schedule(Seconds(0), &showPosition, n0, deltaTime);
 
-    Simulator::Stop(Seconds(1000.0));
+    Simulator::Stop(Seconds(1000));
     Simulator::Run();
     Simulator::Destroy();
     return 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/examples/constant-mobility-example.cc ns-3.44/src/mobility/examples/constant-mobility-example.cc
--- ns-3.43/src/mobility/examples/constant-mobility-example.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/examples/constant-mobility-example.cc	2025-03-09 16:55:49.651372200 -0700
@@ -21,9 +21,9 @@
   (0,0,0)     Move Right    (10,0,0)   Move Right   (20,0,0)   Move Right   (30,0,0)
 */
 
-#include <ns3/mobility-module.h>
-#include <ns3/node.h>
-#include <ns3/simulator.h>
+#include "ns3/mobility-module.h"
+#include "ns3/node.h"
+#include "ns3/simulator.h"
 
 using namespace ns3;
 
@@ -80,11 +80,11 @@
     mob1->TraceConnectWithoutContext("CourseChange", MakeBoundCallback(&CourseChangeCallback));
 
     // Schedule movements to node n1
-    Simulator::ScheduleWithContext(n1->GetId(), Seconds(2.0), &MoveNode, n1, Vector(10, 0, 0));
+    Simulator::ScheduleWithContext(n1->GetId(), Seconds(2), &MoveNode, n1, Vector(10, 0, 0));
 
-    Simulator::ScheduleWithContext(n1->GetId(), Seconds(4.0), &MoveNode, n1, Vector(20, 0, 0));
+    Simulator::ScheduleWithContext(n1->GetId(), Seconds(4), &MoveNode, n1, Vector(20, 0, 0));
 
-    Simulator::ScheduleWithContext(n1->GetId(), Seconds(6.0), &MoveNode, n1, Vector(30, 0, 0));
+    Simulator::ScheduleWithContext(n1->GetId(), Seconds(6), &MoveNode, n1, Vector(30, 0, 0));
 
     Simulator::Stop(Seconds(10));
     Simulator::Run();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/examples/main-random-topology.cc ns-3.44/src/mobility/examples/main-random-topology.cc
--- ns-3.43/src/mobility/examples/main-random-topology.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/examples/main-random-topology.cc	2025-03-09 16:55:49.651372200 -0700
@@ -12,8 +12,8 @@
 
 /**
  * Function called when there is a course change
- * \param context event context
- * \param position a pointer to the mobility model
+ * @param context event context
+ * @param position a pointer to the mobility model
  */
 static void
 CourseChange(std::string context, Ptr<const MobilityModel> position)
@@ -45,7 +45,7 @@
 
     Config::Connect("/NodeList/*/$ns3::MobilityModel/CourseChange", MakeCallback(&CourseChange));
 
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
 
     Simulator::Run();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/examples/main-random-walk.cc ns-3.44/src/mobility/examples/main-random-walk.cc
--- ns-3.43/src/mobility/examples/main-random-walk.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/examples/main-random-walk.cc	2025-03-09 16:55:49.651372200 -0700
@@ -11,8 +11,8 @@
 
 /**
  * Function called when there is a course change
- * \param context event context
- * \param mobility a pointer to the mobility model
+ * @param context event context
+ * @param mobility a pointer to the mobility model
  */
 static void
 CourseChange(std::string context, Ptr<const MobilityModel> mobility)
@@ -59,7 +59,7 @@
     mobility.InstallAll();
     Config::Connect("/NodeList/*/$ns3::MobilityModel/CourseChange", MakeCallback(&CourseChange));
 
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
 
     Simulator::Run();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/examples/mobility-trace-example.cc ns-3.44/src/mobility/examples/mobility-trace-example.cc
--- ns-3.43/src/mobility/examples/mobility-trace-example.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/examples/mobility-trace-example.cc	2025-03-09 16:55:49.651372200 -0700
@@ -50,7 +50,7 @@
     AsciiTraceHelper ascii;
     MobilityHelper::EnableAsciiAll(ascii.CreateFileStream("mobility-trace-example.mob"));
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/examples/reference-point-group-mobility-example.cc ns-3.44/src/mobility/examples/reference-point-group-mobility-example.cc
--- ns-3.43/src/mobility/examples/reference-point-group-mobility-example.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/examples/reference-point-group-mobility-example.cc	2025-03-09 16:55:49.651372200 -0700
@@ -46,8 +46,8 @@
  */
 
 #include "ns3/core-module.h"
+#include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
-#include <ns3/mobility-module.h>
 
 #include <iostream>
 
@@ -61,7 +61,7 @@
 /**
  * Print the node position to the time series file.
  *
- * \param node The node.
+ * @param node The node.
  */
 void
 PrintPosition(Ptr<Node> node)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/helper/group-mobility-helper.h ns-3.44/src/mobility/helper/group-mobility-helper.h
--- ns-3.43/src/mobility/helper/group-mobility-helper.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/helper/group-mobility-helper.h	2025-03-09 16:55:49.655372100 -0700
@@ -24,8 +24,8 @@
 class MobilityModel;
 
 /**
- * \ingroup mobility
- * \brief Helper class used to assign positions and mobility models to nodes
+ * @ingroup mobility
+ * @brief Helper class used to assign positions and mobility models to nodes
  * for a group mobility configuration.
  *
  * This helper can be used for group mobility configuration and installation
@@ -50,7 +50,7 @@
      * Set the position allocator which will be used to allocate the initial
      * position of the reference mobility model.
      *
-     * \param allocator allocate initial reference mobility model position
+     * @param allocator allocate initial reference mobility model position
      */
     void SetReferencePositionAllocator(Ptr<PositionAllocator> allocator);
 
@@ -58,9 +58,9 @@
      * Configure the position allocator which will be used to allocate
      * the initial position of the reference mobility model.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of position allocator to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of position allocator to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetReferencePositionAllocator(std::string type, Ts&&... args);
@@ -69,7 +69,7 @@
      * Set the position allocator which will be used to allocate the initial
      * position of the member mobility models.
      *
-     * \param allocator allocate initial member mobility model positions
+     * @param allocator allocate initial member mobility model positions
      */
     void SetMemberPositionAllocator(Ptr<PositionAllocator> allocator);
 
@@ -77,9 +77,9 @@
      * Configure the position allocator which will be used to allocate the
      * initial position of the member mobility models.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of position allocator to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of position allocator to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetMemberPositionAllocator(std::string type, Ts&&... args);
@@ -88,7 +88,7 @@
      * Set the reference mobility model which will be installed as the parent
      * mobility model during GroupMobilityModel::Install.
      *
-     * \param mobility reference mobility model
+     * @param mobility reference mobility model
      */
     void SetReferenceMobilityModel(Ptr<MobilityModel> mobility);
 
@@ -96,9 +96,9 @@
      * Configure the reference mobility model which will be installed as the
      * parent mobility model during GroupMobilityModel::Install.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of mobility model to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of mobility model to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetReferenceMobilityModel(std::string type, Ts&&... args);
@@ -110,42 +110,42 @@
      * Calls to MobilityHelper::Install will create an instance of a matching
      * mobility model for each node.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of mobility model to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of mobility model to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetMemberMobilityModel(std::string type, Ts&&... args);
 
     /**
-     * \brief Install and configure a hierarchical mobility model to the
+     * @brief Install and configure a hierarchical mobility model to the
      * given node, based on the configured reference and member models.
      *
      * If position allocators are configured, they will be invoked to
      * set the initial position.
      *
-     * \param node The node to configure
+     * @param node The node to configure
      */
     void Install(Ptr<Node> node);
     /**
-     * \brief Install and configure a hierarchical mobility model to the
+     * @brief Install and configure a hierarchical mobility model to the
      * given node, based on the configured reference and member models.
      *
      * If position allocators are configured, they will be invoked to
      * set the initial position.
      *
-     * \param nodeName The name of the node to configure
+     * @param nodeName The name of the node to configure
      */
     void Install(std::string nodeName);
 
     /**
-     * \brief Install and configure a hierarchical mobility model to all nodes
+     * @brief Install and configure a hierarchical mobility model to all nodes
      * in the container, based on the configured reference and member models.
      *
      * If position allocators are configured, they will be invoked to
      * set the initial positions.
      *
-     * \param container The set of nodes to configure
+     * @param container The set of nodes to configure
      */
     void Install(NodeContainer container);
 
@@ -155,17 +155,17 @@
      * streams (possibly zero) that have been assigned. The Install()
      * method should have previously been called by the user.
      *
-     * \note If the PositionAllocator used contains random variables, they
+     * @note If the PositionAllocator used contains random variables, they
      * will not be affected by this call to AssignStreams because they are
      * used earlier during Install() time.  If the user needs to assign a fixed
      * stream number to a PositionAllocator used with this helper, the user
      * should instantiate it outside of the helper, call AssignStreams() on
      * it, and then pass the pointer of it to this helper.
      *
-     * \param c NodeContainer of the set of nodes containing the MobilityModels
+     * @param c NodeContainer of the set of nodes containing the MobilityModels
      * that should be modified to use a fixed stream
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this helper
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NodeContainer c, int64_t stream);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/helper/mobility-helper.cc ns-3.44/src/mobility/helper/mobility-helper.cc
--- ns-3.43/src/mobility/helper/mobility-helper.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/helper/mobility-helper.cc	2025-03-09 16:55:49.655372100 -0700
@@ -130,8 +130,8 @@
 /**
  * Utility function that rounds |1e-4| < input value < |1e-3| up to +/- 1e-3
  * and value <= |1e-4| to zero
- * \param v value to round
- * \return rounded value
+ * @param v value to round
+ * @return rounded value
  */
 static double
 DoRound(double v)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/helper/mobility-helper.h ns-3.44/src/mobility/helper/mobility-helper.h
--- ns-3.43/src/mobility/helper/mobility-helper.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/helper/mobility-helper.h	2025-03-09 16:55:49.655372100 -0700
@@ -24,8 +24,8 @@
 class MobilityModel;
 
 /**
- * \ingroup mobility
- * \brief Helper class used to assign positions and mobility models to nodes.
+ * @ingroup mobility
+ * @brief Helper class used to assign positions and mobility models to nodes.
  *
  * MobilityHelper::Install is the most important method here.
  */
@@ -47,22 +47,22 @@
      * Set the position allocator which will be used to allocate the initial
      * position of every node initialized during MobilityModel::Install.
      *
-     * \param allocator allocate initial node positions
+     * @param allocator allocate initial node positions
      */
     void SetPositionAllocator(Ptr<PositionAllocator> allocator);
 
     /**
-     * \tparam Ts \deduced Argument types
-     * \param type the type of mobility model to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of mobility model to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetPositionAllocator(std::string type, Ts&&... args);
 
     /**
-     * \tparam Ts \deduced Argument types
-     * \param type the type of mobility model to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of mobility model to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * Calls to MobilityHelper::Install will create an instance of a matching
      * mobility model for each node.
@@ -71,7 +71,7 @@
     void SetMobilityModel(std::string type, Ts&&... args);
 
     /**
-     * \param reference item to push.
+     * @param reference item to push.
      *
      * Push an item on the top of the stack of "reference mobility models".
      * The input item should be a node instance to which a mobility model
@@ -90,7 +90,7 @@
      */
     void PushReferenceMobilityModel(Ptr<Object> reference);
     /**
-     * \param referenceName named item to push.
+     * @param referenceName named item to push.
      *
      * Push an item on the top of the stack of "reference mobility models".
      * The input item should be a node instance to which a mobility model
@@ -115,36 +115,36 @@
     void PopReferenceMobilityModel();
 
     /**
-     * \return a string which contains the TypeId of the currently-selected
+     * @return a string which contains the TypeId of the currently-selected
      *          mobility model.
      */
     std::string GetMobilityModelType() const;
 
     /**
-     * \brief "Layout" a single node according to the current position allocator type.
+     * @brief "Layout" a single node according to the current position allocator type.
      *
      * This method creates an instance of a ns3::MobilityModel subclass (the
      * type of which was set with MobilityHelper::SetMobilityModel), aggregates
      * it to the provided node, and sets an initial position based on the current
      * position allocator (set through MobilityHelper::SetPositionAllocator).
      *
-     * \param node The node to "layout."
+     * @param node The node to "layout."
      */
     void Install(Ptr<Node> node) const;
     /**
-     * \brief "Layout" a single node according to the current position allocator type.
+     * @brief "Layout" a single node according to the current position allocator type.
      *
      * This method creates an instance of a ns3::MobilityModel subclass (the
      * type of which was set with MobilityHelper::SetMobilityModel), aggregates
      * it to the provided node, and sets an initial position based on the current
      * position allocator (set through MobilityHelper::SetPositionAllocator).
      *
-     * \param nodeName The name of the node to "layout."
+     * @param nodeName The name of the node to "layout."
      */
     void Install(std::string nodeName) const;
 
     /**
-     * \brief Layout a collection of nodes according to the current position allocator type.
+     * @brief Layout a collection of nodes according to the current position allocator type.
      *
      * For each node in the provided NodeContainer, this method creates an instance
      * of a ns3::MobilityModel subclass (the type of which was set with
@@ -152,7 +152,7 @@
      * initial position based on the current position allocator (set through
      * MobilityHelper::SetPositionAllocator).
      *
-     * \param container The set of nodes to layout.
+     * @param container The set of nodes to layout.
      */
     void Install(NodeContainer container) const;
 
@@ -163,8 +163,8 @@
     void InstallAll() const;
 
     /**
-     * \param stream an output stream wrapper
-     * \param nodeid the id of the node to generate ascii output for.
+     * @param stream an output stream wrapper
+     * @param nodeid the id of the node to generate ascii output for.
      *
      * Enable ascii output to record course changes from the mobility model
      * associated with the specified nodeid and dump that to the specified output
@@ -173,8 +173,8 @@
      */
     static void EnableAscii(Ptr<OutputStreamWrapper> stream, uint32_t nodeid);
     /**
-     * \param stream an output stream wrapper
-     * \param n node container
+     * @param stream an output stream wrapper
+     * @param n node container
      *
      * Enable ascii output to record course changes from the mobility models
      * associated to the the nodes in the input container and dump that to the
@@ -183,7 +183,7 @@
      */
     static void EnableAscii(Ptr<OutputStreamWrapper> stream, NodeContainer n);
     /**
-     * \param stream an output stream wrapper
+     * @param stream an output stream wrapper
      *
      * Enable ascii output to record course changes from the mobility models
      * associated to every node in the system and dump that to the specified
@@ -197,32 +197,32 @@
      * streams (possibly zero) that have been assigned. The Install()
      * method should have previously been called by the user.
      *
-     * \note If the PositionAllocator used contains random variables, they
+     * @note If the PositionAllocator used contains random variables, they
      * will not be affected by this call to AssignStreams because they are
      * used earlier during Install() time.  If the user needs to assign a fixed
      * stream number to a PositionAllocator used with this helper, the user
      * should instantiate it outside of the helper, call AssignStreams() on
      * it, and then pass the pointer of it to this helper.
      *
-     * \param c NodeContainer of the set of nodes for which the MobilityModels
+     * @param c NodeContainer of the set of nodes for which the MobilityModels
      * should be modified to use a fixed stream
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this helper
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NodeContainer c, int64_t stream);
 
     /**
-     * \param n1 node 1
-     * \param n2 node 2
-     * \return the distance (squared), in meters, between two nodes
+     * @param n1 node 1
+     * @param n2 node 2
+     * @return the distance (squared), in meters, between two nodes
      */
     static double GetDistanceSquaredBetween(Ptr<Node> n1, Ptr<Node> n2);
 
   private:
     /**
      * Output course change events from mobility model to output stream
-     * \param stream output stream
-     * \param mobility mobility model
+     * @param stream output stream
+     * @param mobility mobility model
      */
     static void CourseChanged(Ptr<OutputStreamWrapper> stream, Ptr<const MobilityModel> mobility);
     std::vector<Ptr<MobilityModel>> m_mobilityStack; //!< Internal stack of mobility models
